// file: $USFS/class/polygon/v1.0/polygon_cstr_0.cc
//

// isip include files
//
#include "polygon.h"
#include "polygon_constants.h"

// method: default destructor
//
// arguments: none
//
// return: none
//
Polygon::~Polygon() {

  // general data needing cleanup
  //
  if (transcription_d != (char_1*)NULL) {
    delete [] transcription_d;
  }
  
  if (vertices_d != (int_4*)NULL) {
    delete [] vertices_d;
  }
  
  // exit gracefully
  //
}
